using System.Collections.Generic;
using System.Threading.Tasks;

namespace SZUAbsolventenverein.Module.EventRegistration.Repository
{
    public interface IEventRepository
    {
        IEnumerable<Models.Event> GetEvents(int ModuleId);
        Models.Event GetEvent(int EventRegistrationId);
        Models.Event GetEvent(int EventRegistrationId, bool tracking);
        Models.Event AddEvent(Models.Event EventRegistration);
        Models.Event UpdateEvent(Models.Event EventRegistration);
        void DeleteEvent(int EventRegistrationId);
    }
}
