using System.Collections.Generic;
using System.Threading.Tasks;
using SZUAbsolventenverein.Module.EventRegistration.Models;

namespace SZUAbsolventenverein.Module.EventRegistration.Repository
{
    public interface IResponseRepository
    {
        IEnumerable<Response> GetResponses(int ModuleId);
        IEnumerable<Response> GetResponses(int EventId, int ModuleId);
        Response GetResponse(int EventRegistrationId);
        Response GetResponse(int EventRegistrationId, bool tracking);
        Response GetResponse(int EventId, int OwnerId);
        Response GetResponse(int EventId, int OwnerId, bool tracking);
        Response AddResponse(Response EventResponse);
        Response UpdateResponse(Response EventResponse);
        void DeleteResponse(int EventResponseId);
    }
}
