using Microsoft.AspNetCore.Builder; 
using Microsoft.AspNetCore.Hosting;
using Microsoft.Extensions.DependencyInjection;
using Oqtane.Infrastructure;
using SZUAbsolventenverein.Module.EventRegistration.Repository;
using SZUAbsolventenverein.Module.EventRegistration.Services;

namespace SZUAbsolventenverein.Module.EventRegistration.Startup
{
    public class ServerStartup : IServerStartup
    {
        public void Configure(IApplicationBuilder app, IWebHostEnvironment env)
        {
            // not implemented
        }

        public void ConfigureMvc(IMvcBuilder mvcBuilder)
        {
            // not implemented
        }

        public void ConfigureServices(IServiceCollection services)
        {
            services.AddTransient<IEventRegistrationService, ServerEventRegistrationService>();
            services.AddDbContextFactory<EventRegistrationContext>(opt => { }, ServiceLifetime.Transient);
        }
    }
}
