using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Oqtane.Models;

namespace SZUAbsolventenverein.Module.EventRegistration.Models
{
    [Table("SZUAbsolventenvereinEventResponse")]
    public class Response : IAuditable
    {
        [Key]
        public int EventResponseId { get; set; }
        public bool ResponseType { get; set; }
        public int OwnerId { get; set; }
        public int EventRegistrationId { get; set; }
        public int ModuleId { get; set; }

        public string CreatedBy { get; set; }
        public DateTime CreatedOn { get; set; }
        public string ModifiedBy { get; set; }
        public DateTime ModifiedOn { get; set; }
    }
}
